# hetzner_failover_ip – Manage Hetzner’s failover IPs

New in version 2.9.

- Synopsis

- Parameters

- See Also

- Examples

- Return Values

- Status

## Synopsis

- Manage Hetzner’s failover IPs.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
failover_ip string / required |  | The failover IP address.
hetzner_password string / required |  | The password for the Robot webservice user.
hetzner_user string / required |  | The username for the Robot webservice user.

state
string

Choices:
- routed ←
- unrouted

Defines whether the IP will be routed or not.
If set to `routed`, value must be specified.

timeout integer | Default: 180 | Timeout to use when routing or unrouting the failover IP. Note that the API call returns when the failover IP has been successfully routed to the new address, respectively successfully unrouted.
value string |  | The new value for the failover IP address. Required when setting state to `routed`.

## See Also

See also

Failover IP documentation

  Hetzner’s documentation on failover IPs.

hetzner_failover_ip_info – Retrieve information on Hetzner’s failover IPs

  Retrieve information on failover IPs.

## Examples

    - name: Set value of failover IP 1.2.3.4 to 5.6.7.8
      hetzner_failover_ip:
        hetzner_user: foo
        hetzner_password: bar
        failover_ip: 1.2.3.4
        value: 5.6.7.8

    - name: Set value of failover IP 1.2.3.4 to unrouted
      hetzner_failover_ip:
        hetzner_user: foo
        hetzner_password: bar
        failover_ip: 1.2.3.4
        state: unrouted

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
state string | success | Will be `routed` or `unrouted`.
value string | success | The value of the failover IP. Will be `none` if the IP is unrouted.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Felix Fontein (@felixfontein)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.